Skip to main content
PATCH
/
browser
/
name
/
many
Update multiple profiles names
curl --request PATCH \
  --url https://api.gologin.com/browser/name/many \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "profileId": "6200f55e7685342e170dc531",
    "name": "My Test Profile"
  }
]
'
import requests

url = "https://api.gologin.com/browser/name/many"

payload = [
{
"profileId": "6200f55e7685342e170dc531",
"name": "My Test Profile"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{profileId: '6200f55e7685342e170dc531', name: 'My Test Profile'}])
};

fetch('https://api.gologin.com/browser/name/many', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Array of objects with profileId and new name.

profileId
string
required

Profile ID that you want to update.

Example:

"6200f55e7685342e170dc531"

name
string
required

Profile name.

Example:

"My Test Profile"

Response

200 - undefined